Package org.eclipse.compare

# Interface IStreamContentAccessor

All Known Subinterfaces:
  `IEncodedStreamContentAccessor`

All Known Implementing Classes:
  `BufferedContent`, `BufferedResourceNode`, `DocumentRangeNode`, `HistoryItem`, `ResourceNode`, `StructureRootNode`

public interface IStreamContentAccessor
An `IStreamContentAccessor` object represents a set of bytes which can be accessed by means of a stream.

Clients may implement this interface, or use the standard implementation, `BufferedContent`.

See Also:
  - `BufferedContent`

## Method Summary

Modifier and Type
Method
Description
`InputStream`
`getContents()`
Returns an open `InputStream` for this object which can be used to retrieve the object's content.

## Method Details

### getContents

InputStream getContents() throws CoreException
Returns an open `InputStream` for this object which can be used to retrieve the object's content. The client is responsible for closing the stream when finished. Returns `null` if this object has no streamable contents.

Returns:
  an input stream containing the contents of this object
Throws:
  `CoreException` - if the contents of this object could not be accessed